=== requirements.txt ===
appdirs
beautifulsoup4
coverage
gpiozero
guizero
matplotlib
nudatus
qscintilla
qtconsole
pgzero
pigpio
Pillow
pycodestyle
pyflakes
pynsist
pyqt5
PyQtChart
pyserial
pytest
pytest-cov
pytest-random-order
requests
semver
scrapy
setuptools
sphinx
twine
wheel
