=== debian/changelog ===
mu-editor (1.0.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #901461)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Mon, 31 Dec 2018 21:15:58 +0100
