=== requirements.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 pyserial
 pytest
 pytest-cov
-pytest-random-order
+pytest-random-order>=1.0.0
 requests
 semver
 scrapy
