=== debian/changelog ===
mu-editor (1.0.2+dfsg-4build1) focal; urgency=medium

  * Re-upload to focal

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Jan 2020 11:02:12 +0100

mu-editor (1.0.2+dfsg-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Nick Morrott ]
  * d/control:
    - Uploaders: use my new Debian address
    - Expand definition of "REPL" in long description
    - Mark mu-editor-doc as M-A: foreign
    - Add Rules-Requires-Root field
    - Depend on default python3 rather than python3-all
  * d/tests/mu-editor:
    - Run autopkgtests against default python3. Thanks to
      Steve Langasek for the patch (Closes: #943449)
  * d/patches:
    - add use-https-urls-in-appstream-data

 -- Nick Morrott <nickm@debian.org>  Mon, 04 Nov 2019 12:30:14 +0000

mu-editor (1.0.2+dfsg-3) unstable; urgency=medium

  * d/patches: add update-rtp-for-mu-debug (Closes: #930270)
    - adapted from patch from Peter Green

 -- Nick Morrott <knowledgejunkie@gmail.com>  Tue, 18 Jun 2019 01:34:00 +0100

mu-editor (1.0.2+dfsg-2) unstable; urgency=medium

  * d/gbp.conf: use pristine-tar
  * d/patches: add test_app_icon_as_string (Closes: #923402)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Thu, 28 Feb 2019 02:43:16 +0000

mu-editor (1.0.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.2+dfsg
  * d/control: refresh (build) dependencies
  * d/{control,compat}: bump debhelper compatibility level to 12
  * d/patches: refresh patches (Closes: #919260)
  * d/{rules,tests/mu-editor}: restore test randomisation

 -- Nick Morrott <knowledgejunkie@gmail.com>  Wed, 16 Jan 2019 03:11:03 +0000
