=== debian/tests/control ===
Tests: mu-editor
Depends: @builddeps@, @,
