## mu-editor 1.0.3+dfsg

=== debian/changelog ===
mu-editor (1.0.3+dfsg-3) unstable; urgency=medium

  * d/control:
    - Update standards version to 4.6.0, no changes needed.
    - Drop unnecessary version constraints for dependencies
  * d/copyright:
    - Refresh years of Debian copyright
    - Use 4-digit years for Debian copyright ranges
  * d/patches:
    - Add patch fix-missing-kernel-attr-qtkernelmanager (Closes: #1005259)
    - Add patch fix-semver-deprecation-warnings
  * d/s/lintian-overrides:
    - Add override for long lines in source
  * d/u/metadata:
    - Remove unknown field Bug-Repository
  * d/watch:
    - Update pattern for GitHub archive URLs

 -- Nick Morrott <nickm@debian.org>  Tue, 15 Feb 2022 01:39:04 +0000

mu-editor (1.0.3+dfsg-2) unstable; urgency=medium

  [ Debian Janitor ]
  * d/u/metadata:
    - Set upstream metadata fields: Bug-Database.
    - Remove obsolete fields Contact, Name (already present in
      machine-readable debian/copyright).

  [ Ondřej Nový ]
  * d/control:
    - Update Maintainer field with new Debian Python Team contact address.
    - Update Vcs-* fields with new Debian Python Team Salsa layout.

  [ Nick Morrott ]
  * d/control:
    - Declare compliance with Debian Policy 4.5.1
  * d/copyright:
    - Refresh lists of source files (redundant globbing patterns)
    - Refresh years of Debian copyright and contact email address
  * d/mu-editor.lintian-overrides:
    - Add override for Python egg metadata
  * d/salsa-ci.yml:
    - Add Salsa CI pipeline

 -- Nick Morrott <nickm@debian.org>  Sun, 07 Feb 2021 13:35:47 +0000

mu-editor (1.0.3+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.3+dfsg
  * d/control:
    - Declare compliance with Debian Policy 4.5.0
    - Bump debhelper compatibility level to 13
    - Add Suggests on python3-gpiozero (arch:any since buster)
  * d/patches:
    - Refresh patch soften-dependency-versions
    - Drop patch test_app_icon_as_string (applied upstream)

 -- Nick Morrott <nickm@debian.org>  Sat, 13 Jun 2020 06:12:46 +0100
