=== debian/control ===
--- 
+++ 
@@ -1,47 +1,47 @@
 Source: mu-editor
 Section: python
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Nick Morrott <nickm@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  fonts-inconsolata,
  pandoc,
- python3 (>= 3.6),
- python3-appdirs (>= 1.4.3),
- python3-matplotlib (>= 2.2.2),
+ python3,
+ python3-appdirs,
+ python3-matplotlib,
  python3-mock,
  python3-nudatus,
  python3-pil,
- python3-pycodestyle (>= 2.4.0),
- python3-pyflakes (>= 2.0.0),
- python3-pyqt5 (>= 5.11.3),
- python3-pyqt5.qsci (>= 2.10.4),
- python3-pyqt5.qtchart (>= 5.10.1),
- python3-pyqt5.qtserialport (>= 5.11.3),
+ python3-pycodestyle,
+ python3-pyflakes,
+ python3-pyqt5,
+ python3-pyqt5.qsci,
+ python3-pyqt5.qtchart,
+ python3-pyqt5.qtserialport,
  python3-pytest,
  python3-pytest-random-order,
  python3-pytest-xvfb,
- python3-qtconsole (>= 4.3.1),
+ python3-qtconsole,
  python3-requests,
- python3-semver (>= 2.0.1),
- python3-serial (>= 3.4),
+ python3-semver,
+ python3-serial,
  python3-setuptools,
  python3-sphinx,
  python3-tk,
  python3-uflash,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://codewith.mu/
-Vcs-Browser: https://salsa.debian.org/python-team/applications/mu-editor
-Vcs-Git: https://salsa.debian.org/python-team/applications/mu-editor.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/mu-editor
+Vcs-Git: https://salsa.debian.org/python-team/packages/mu-editor.git
 
 Package: mu-editor
 Architecture: all
 Depends:
  fonts-inconsolata,
- python3 (>= 3.6),
+ python3,
  python3-guizero,
  python3-pyqt5,
  python3-pyqt5.qsci,
@@ -53,9 +53,7 @@
  ${python3:Depends},
 Suggests:
  mu-editor-doc,
-# python3-gpiozero [armel armhf],
-#  Please monitor the request to provide the gpiozero package on non-armhf
-#  architectures at https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=856413
+ python3-gpiozero,
  python3-pigpio,
 Description: simple editor for beginner Python programmers
  Mu is a simple code editor for beginner programmers, based on extensive
