=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 export PYBUILD_BEFORE_TEST = mkdir -p {build_dir}/mu/resources/fonts; \
                              cp /usr/share/fonts/truetype/inconsolata/Inconsolata.otf \
                              {build_dir}/mu/resources/fonts/Inconsolata.otf
+export PYBUILD_TEST_ARGS   = --random-order
 export PYBUILD_AFTER_TEST  = rm -rf {build_dir}/mu/resources/fonts
 
 export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/mu-editor/ --install-scripts=/usr/share/mu-editor/
@@ -24,8 +25,8 @@
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
-#	dh_auto_clean
-#	rm -rf docs/html
+	dh_auto_clean
+	rm -rf docs/html
 
 override_dh_auto_build:
 	dh_auto_build
