## mu-editor 1.2.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
                              cp /usr/share/fonts/truetype/inconsolata/Inconsolata.otf \
                              {build_dir}/mu/resources/fonts/Inconsolata.otf
 export PYBUILD_TEST_ARGS   = --random-order
-export PYBUILD_AFTER_TEST  = rm -rf {build_dir}/mu/resources/fonts
+export PYBUILD_AFTER_TEST  = rm -rf {build_dir}/mu/resources/fonts {build_dir}/.pytest_cache
 
 export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/mu-editor/ --install-scripts=/usr/share/mu-editor/
 
@@ -27,6 +27,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf docs/html
+	rm -f debian/mu-editor.1.md debian/mu-editor.1
 
 override_dh_auto_build:
 	dh_auto_build
@@ -39,7 +40,7 @@
 	PYTHONPATH=. http_proxy='127.0.0.1:9' https_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ docs/html
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	export LANG=C.UTF-8; xvfb-run -a dh_auto_test
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 override_dh_installudev:
