=== debian/changelog ===
mu-editor (1.2.0+dfsg-3) unstable; urgency=medium

  * applied Chris Lamb's patch, thanks! Closes: #1120332

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 08 Nov 2025 19:07:32 +0100

mu-editor (1.2.0+dfsg-2) unstable; urgency=medium

  * added the build dependency python3-pyqt5.qtsvg. Closes: #1093475

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 20 Jan 2025 10:34:57 +0100

mu-editor (1.2.0+dfsg-1) unstable; urgency=medium

  [ Nick Morrott ]
  * New upstream version 1.1.0~alpha2+dfsg1

  [ Alexandre Detiste ]
  * remove extraneous dependency on python3-mock
  * New upstream version 1.2.0+dfsg

  [ Nick Morrott ]
  * d/control: refresh long descriptions with new modes
  * d/copyright: refresh in preparation for import of 1.1.0-alpha

  [ Georges Khaznadar ]
  * declared myself as maintainer. Closes: #1079233
  * updated debian patches, some of them are deleted.
  * patched one test, because the module adafruit_board_toolkit is missing
  * stable is now bookworm, so we may disregard #1027378. Closes: #1027378
  * patched some tests. Closes: #998297; Closes: #1081083
  * removed the build-dependency on python3-apprdirs. Closes: #1067972
  * added build dependencies: python3-virtualenv, black
  * bumped Standards-Version: 4.7.0
  * applied Petter Reinholdtsen's patch, to enrich metadata. Closes: #1079039
  * patched mu/weels/__init__.py to define a standard writable location
    path for the wheel ZIP file (outside the applications's path!)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 08 Nov 2024 16:13:03 +0100

mu-editor (1.0.3+dfsg-6) unstable; urgency=medium

  * d/patches:
    - Add patch disable-microbit-mount-tests (Closes: #1027378)

 -- Nick Morrott <nickm@debian.org>  Thu, 09 Feb 2023 05:17:47 +0000

mu-editor (1.0.3+dfsg-5) unstable; urgency=medium

  * d/control:
    - Declare compliance with Debian Policy 4.6.2 (no changes)
  * d/copyright:
    - Bump years of Debian copyright
  * d/mu-editor.lintian-overrides:
    - Refresh overrides
  * d/patches:
    - Add patch tests-reduce-builtin-mock-scope

 -- Nick Morrott <nickm@debian.org>  Thu, 09 Feb 2023 03:20:50 +0000

mu-editor (1.0.3+dfsg-4) unstable; urgency=medium

  * d/patches:
    - Add patch avoid-floats-for-int-arguments

 -- Nick Morrott <nickm@debian.org>  Tue, 17 May 2022 23:42:29 +0100
