=== debian/control ===
--- 
+++ 
@@ -1,17 +1,14 @@
 Source: mu-editor
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Nick Morrott <nickm@debian.org>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  fonts-inconsolata,
  pandoc,
  python3,
- python3-appdirs,
  python3-matplotlib,
- python3-mock,
  python3-nudatus,
  python3-pil,
  python3-pycodestyle,
@@ -20,6 +17,7 @@
  python3-pyqt5.qsci,
  python3-pyqt5.qtchart,
  python3-pyqt5.qtserialport,
+ python3-pyqt5.qtsvg,
  python3-pytest,
  python3-pytest-random-order,
  python3-pytest-xvfb,
@@ -32,7 +30,7 @@
  python3-tk,
  python3-uflash,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://codewith.mu/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mu-editor
 Vcs-Git: https://salsa.debian.org/python-team/packages/mu-editor.git
@@ -49,6 +47,8 @@
  python3-pyqt5.qtserialport,
  python3-qtconsole,
  python3-uflash,
+ python3-virtualenv,
+ black,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
@@ -63,9 +63,11 @@
  Mu is a modal editor with modes for:
  .
   * standard Python 3 (including a graphical debugger)
-  * the micro:bit's version of MicroPython
-  * Adafruit's CircuitPython
+  * MicroPython on the BBC micro:bit
+  * MicroPython on ESP8266/ESP32 boards
+  * CircuitPython on Adafruit/Particle/Electronic Cats/SparkFun boards
   * Pygame Zero
+  * Web development (using Flask)
  .
  Some modes provide read-eval-print loop (REPL) support, either running on
  a connected CircuitPython or MicroPython device, or as a Jupyter-based
@@ -92,9 +94,11 @@
  Mu is a modal editor with modes for:
  .
   * standard Python 3 (including a graphical debugger)
-  * the micro:bit's version of MicroPython
-  * Adafruit's CircuitPython
+  * MicroPython on the BBC micro:bit
+  * MicroPython on ESP8266/ESP32 boards
+  * CircuitPython on Adafruit/Particle/Electronic Cats/SparkFun boards
   * Pygame Zero
+  * Web development (using Flask)
  .
  Some modes provide read-eval-print loop (REPL) support, either running on
  a connected CircuitPython or MicroPython device, or as a Jupyter-based
