=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//, repacksuffix=+dfsg, filenamemangle=s/.+\/v?@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/" https://github.com/mu-editor/mu/tags .*/archive/refs/tags/v?@ANY_VERSION@@ARCHIVE_EXT@
